diff --git a/src/gui/res/lang/gui_he.ts b/src/gui/res/lang/gui_he.ts
index bebf7a83..3370ae50 100644
--- a/src/gui/res/lang/gui_he.ts
+++ b/src/gui/res/lang/gui_he.ts
@@ -703,164 +860,177 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="unfinished"></translation>
     </message>
 </context>
+<context>
+    <name>ServerConfigDialog</name>
+    <message>
+        <location filename="src/ServerConfigDialog.cpp" line="75"/>
+        <source>Configure server</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>ServerConfigDialogBase</name>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="13"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="14"/>
         <source>Server Configuration</source>
         <translation type="finished">הגדרות שרת</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="23"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="24"/>
         <source>Screens and links</source>
         <translation type="finished">מסכים וחיבורים</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="34"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="35"/>
         <source>Drag a screen from the grid to the trashcan to remove it.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="59"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="60"/>
         <source>Configure the layout of your synergy server configuration.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="72"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="73"/>
         <source>Drag this button to the grid to add a new screen.</source>
         <translation type="finished">גרור את כפתור זה לרשת להוספת מסך.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="127"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="128"/>
         <source>Drag new screens to the grid or move existing ones around.
 Drag a screen to the trashcan to delete it.
 Double click on a screen to edit its settings.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="156"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="157"/>
         <source>Hotkeys</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="162"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="163"/>
         <source>&amp;Hotkeys</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="174"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="175"/>
         <source>&amp;New</source>
         <translation type="finished">&amp;חדש</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="184"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="185"/>
         <source>&amp;Edit</source>
         <translation type="finished">&amp;עריכה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="194"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="195"/>
         <source>&amp;Remove</source>
         <translation type="finished">ה&amp;סר</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="217"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="218"/>
         <source>A&amp;ctions</source>
         <translation type="finished">פ&amp;עולות</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="229"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="230"/>
         <source>Ne&amp;w</source>
         <translation type="finished">חדש</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="239"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="240"/>
         <source>E&amp;dit</source>
         <translation type="finished">כריכה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="249"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="250"/>
         <source>Re&amp;move</source>
         <translation type="finished">הסרה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="273"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="274"/>
         <source>Advanced server settings</source>
         <translation type="finished">הגדרות שרת &amp;מתקדמות</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="279"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="280"/>
         <source>&amp;Switch</source>
         <translation type="finished">ה&amp;חלפה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="290"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="291"/>
         <source>Switch &amp;after waiting</source>
         <translation type="finished">החלף לאחר ה&amp;מתנה של </translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="329"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="382"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="457"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="330"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="383"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="458"/>
         <source>ms</source>
         <translation type="finished">אלפיות שניה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="343"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="344"/>
         <source>Switch on double &amp;tap within</source>
         <translation type="finished">החלף בלחיצה &amp;כפולה בתוך</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="407"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="408"/>
         <source>&amp;Options</source>
         <translation type="finished">א&amp;פשרויות</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="418"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="419"/>
         <source>&amp;Check clients every</source>
         <translation type="finished">בדוק את הלקוח &amp;בכל</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="469"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="470"/>
         <source>Use &amp;relative mouse moves</source>
         <translation type="finished">השתמש בהזזות עכבר &amp;יחסיות</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="479"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="480"/>
         <source>S&amp;ynchronize screen savers</source>
         <translation type="finished">סנכרן &amp;שומרי מסך</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="489"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="490"/>
         <source>Don't take &amp;foreground window on Windows servers</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="512"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="510"/>
+        <source>Ignore auto config clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/ServerConfigDialogBase.ui" line="520"/>
         <source>&amp;Dead corners</source>
         <translation type="finished">&amp;פינות מתות</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="521"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="529"/>
         <source>To&amp;p-left</source>
         <translation type="finished">שמאלית-עליונה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="528"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="536"/>
         <source>Top-rig&amp;ht</source>
         <translation type="finished">ימנית-עליונה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="535"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="543"/>
         <source>&amp;Bottom-left</source>
         <translation type="finished">שמאלית-תחתונה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="542"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="550"/>
         <source>Bottom-ri&amp;ght</source>
         <translation type="finished">ימנית-תחתונה</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="564"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="572"/>
         <source>Cor&amp;ner Size:</source>
         <translation type="finished">&amp;גודל הפינה:</translation>
     </message>
@@ -868,13 +1038,20 @@ Double click on a screen to edit its settings.</source>
 <context>
     <name>SettingsDialog</name>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="62"/>
-        <source>Encryption password must not be empty.</source>
+        <location filename="src/SettingsDialog.cpp" line="131"/>
+        <source>Save log file to...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="121"/>
-        <source>Save log file to...</source>
+        <location filename="src/SettingsDialog.cpp" line="151"/>
+        <source>Elevate Synergy</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/SettingsDialog.cpp" line="152"/>
+        <source>Are you sure you want to elevate Synergy?
+
+This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -886,132 +1063,102 @@ Double click on a screen to edit its settings.</source>
         <translation type="finished">הגדרות</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="165"/>
-        <source>&amp;Advanced</source>
-        <translation type="finished">מת&amp;קדם</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="177"/>
+        <location filename="res/SettingsDialogBase.ui" line="32"/>
         <source>Sc&amp;reen name:</source>
         <translation type="finished">&amp;שם מסך:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="194"/>
+        <location filename="res/SettingsDialogBase.ui" line="49"/>
         <source>P&amp;ort:</source>
         <translation type="finished">&amp;פורט:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="223"/>
+        <location filename="res/SettingsDialogBase.ui" line="78"/>
         <source>&amp;Interface:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="26"/>
-        <source>&amp;Start Synergy after logging in</source>
-        <translation type="finished">הפעל את Synergy לאחר ההתחברות</translation>
+        <location filename="res/SettingsDialogBase.ui" line="120"/>
+        <source>Elevate mode</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="33"/>
-        <source>&amp;Automatically start server/client</source>
-        <translation type="finished">הפעל את השרת\לקוח באופן &amp;אוטומטי</translation>
+        <location filename="res/SettingsDialogBase.ui" line="127"/>
+        <source>&amp;Hide on startup</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="40"/>
-        <source>&amp;Hide when server/client starts</source>
-        <translation type="finished">&amp;הסתר עם הפעלת השרת\הלקוח</translation>
+        <location filename="res/SettingsDialogBase.ui" line="146"/>
+        <source>&amp;Network Security</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="273"/>
+        <location filename="res/SettingsDialogBase.ui" line="155"/>
+        <source>Use &amp;SSL encryption (unique certificate)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SettingsDialogBase.ui" line="184"/>
         <source>Logging</source>
         <translation type="finished">תיעוד פעולה (Log)</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="240"/>
-        <source>&amp;Process mode:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="251"/>
-        <source>Service</source>
-        <translation type="finished">שירות</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="256"/>
-        <source>Desktop (legacy)</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="291"/>
+        <location filename="res/SettingsDialogBase.ui" line="202"/>
         <source>&amp;Logging level:</source>
         <translation type="finished">&amp;רמת תיעוד פעולה (Log)</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="340"/>
+        <location filename="res/SettingsDialogBase.ui" line="251"/>
         <source>Log to file:</source>
         <translation type="finished">תיעוד לקובץ: </translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="357"/>
+        <location filename="res/SettingsDialogBase.ui" line="268"/>
         <source>Browse...</source>
         <translation type="finished">עיון...</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="302"/>
+        <location filename="res/SettingsDialogBase.ui" line="213"/>
         <source>Error</source>
         <translation type="finished">שגיאה</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="20"/>
-        <source>&amp;Graphical interface</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="55"/>
+        <location filename="res/SettingsDialogBase.ui" line="107"/>
         <source>&amp;Language:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="82"/>
-        <source>&amp;Encryption</source>
+        <location filename="res/SettingsDialogBase.ui" line="20"/>
+        <source>&amp;Miscellaneous</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="97"/>
-        <source>&amp;Mode:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="142"/>
-        <source>Pass&amp;word:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="307"/>
+        <location filename="res/SettingsDialogBase.ui" line="218"/>
         <source>Warning</source>
         <translation type="finished">שים לב</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="312"/>
+        <location filename="res/SettingsDialogBase.ui" line="223"/>
         <source>Note</source>
         <translation type="finished">הערה</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="317"/>
+        <location filename="res/SettingsDialogBase.ui" line="228"/>
         <source>Info</source>
         <translation type="finished">מידע</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="322"/>
+        <location filename="res/SettingsDialogBase.ui" line="233"/>
         <source>Debug</source>
         <translation type="finished">Debug</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="327"/>
+        <location filename="res/SettingsDialogBase.ui" line="238"/>
         <source>Debug1</source>
         <translation type="finished">Debug1</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="332"/>
+        <location filename="res/SettingsDialogBase.ui" line="243"/>
         <source>Debug2</source>
         <translation type="finished">Debug2</translation>
     </message>
@@ -1019,112 +1166,127 @@ Double click on a screen to edit its settings.</source>
 <context>
     <name>SetupWizard</name>
     <message>
-        <location filename="src/SetupWizard.cpp" line="64"/>
+        <location filename="src/SetupWizard.cpp" line="72"/>
         <source>Setup Synergy</source>
         <translation type="finished">הגדרת Synergy</translation>
     </message>
     <message>
-        <location filename="src/SetupWizard.cpp" line="74"/>
+        <location filename="src/SetupWizard.cpp" line="113"/>
         <source>Please select an option.</source>
         <translation type="finished">אנא בחר אופציה.</translation>
     </message>
     <message>
-        <location filename="src/SetupWizard.cpp" line="84"/>
-        <source>Encryption mode required.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="src/SetupWizard.cpp" line="93"/>
-        <source>Encryption password required.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="src/SetupWizard.cpp" line="100"/>
-        <source>Encryption password and confirmation do not match.</source>
+        <location filename="src/SetupWizard.cpp" line="80"/>
+        <source>Please enter your email address and password.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>SetupWizardBase</name>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="20"/>
+        <location filename="res/SetupWizardBase.ui" line="26"/>
         <source>Setup Synergy</source>
         <translation type="finished">הגדרת Synergy</translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="24"/>
+        <location filename="res/SetupWizardBase.ui" line="30"/>
         <source>Welcome</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="33"/>
+        <location filename="res/SetupWizardBase.ui" line="39"/>
         <source>Thanks for installing Synergy!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="108"/>
+        <location filename="res/SetupWizardBase.ui" line="114"/>
         <source>Synergy lets you easily share your mouse and keyboard between multiple computers on your desk, and it's Free and Open Source. Just move your mouse off the edge of one computer's screen on to another. You can even share all of your clipboards. All you need is a network connection. Synergy is cross-platform (works on Windows, Mac OS X and Linux).</source>
         <translation type="finished">Synergy מאפשרת לשתף בקלות את העכבר והמקלדת בין מספר מחשבים על השולחן, וזה חופשית וקוד פתוח. רק להזיז את העכבר מקצה מסך אחד של המחשב לאחר. אתה יכול גם לשתף את כל לוחות כתיבה שלך. כל מה שצריך הוא חיבור לרשת. סינרגיה היא חוצה פלטפורמות (עובד ב-Windows, Mac OS X ו-Linux).</translation>
     </message>
     <message>
         <location filename="res/SetupWizardBase.ui" line="125"/>
+        <source>Activate</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="131"/>
+        <source>&amp;Activate now...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="152"/>
+        <source>Email:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="178"/>
+        <source>Password:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="204"/>
+        <source>&lt;a href=&quot;https://synergy-project.org/account/reset/&quot;&gt;Forgot password&lt;/a&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="232"/>
+        <source>&amp;Skip activation</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="277"/>
+        <source>&amp;Server (share this computer's mouse and keyboard)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="290"/>
+        <source>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
+&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
+p, li { white-space: pre-wrap; }
+&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'MS Shell Dlg 2'; font-size:8.25pt; font-weight:400; font-style:normal;&quot;&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:8pt;&quot;&gt;My main mouse and keyboard are connected to this computer. This will allow you to move your mouse over to another computer's screen. There can only be one server in your setup.&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="326"/>
+        <source>&amp;Client (use another computer's mouse and keyboard)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="339"/>
+        <source>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
+&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
+p, li { white-space: pre-wrap; }
+&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'MS Shell Dlg 2'; font-size:8.25pt; font-weight:400; font-style:normal;&quot;&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:8pt;&quot;&gt;You have already set up a server. This computer will be controlled using the server's mouse and keyboard. There can be many clients in your setup.&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="262"/>
         <source>Server or Client?</source>
         <translation type="finished">שרת או לקוח?</translation>
     </message>
+</context>
+<context>
+    <name>SslCertificate</name>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="140"/>
-        <source>&amp;Server (new setup)</source>
-        <translation type="finished">&amp;שרת (התקנה חדשה)</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="153"/>
-        <source>This is the first computer you are configuring. Your keyboard and mouse are connected to this computer. This will allow you to move your mouse over to another computer's screen. There can only be one server in your setup.</source>
-        <translation type="finished">זהו המחשב הראשון שאתם מגדירים. המקלדת והעכבר מחוברים למחשב זה. הגדרה זו תאפשר לכם להזיז את העכבר אל המסך של מחשב אחר. לכן, אפשר להגדיר רק שרת אחד.</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="185"/>
-        <source>&amp;Client (add to setup)</source>
-        <translation type="finished">לקוח (הוסף להתקנה)</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="198"/>
-        <source>You have already set up a server. This is a computer you wish to control using the server's keyboard and mouse. There can be many clients in your setup.</source>
-        <oldsource>You have already set up a server. This a computer you wish to control using the server's keyboard and mouse. There can be many clients in your setup.</oldsource>
-        <translation type="finished">כבר הגדרת שרת. בחרת לשלוט במחשב זה באמצעות המקלדת והעכבר של השרת. ניתן להגדיר כמה לקוחות.</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="231"/>
-        <source>Encryption</source>
+        <location filename="src/SslCertificate.cpp" line="42"/>
+        <source>Failed to get profile directory.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="237"/>
-        <source>Network traffic can be easily monitored. Using encryption can reduce the risk that sensitive information will be revealed to others (for example, passwords).</source>
+        <location filename="src/SslCertificate.cpp" line="141"/>
+        <source>SSL certificate generated.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="263"/>
-        <source>Choose a random encryption mode. The mode must be the same on both the client and server.</source>
+        <location filename="src/SslCertificate.cpp" line="170"/>
+        <source>SSL fingerprint generated.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="308"/>
-        <source>&amp;Mode:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="391"/>
-        <source>A longer password will provide stronger encryption. It is a good idea to use 20 characters or more.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="415"/>
-        <source>&amp;Password:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="474"/>
-        <source>&amp;Confirm:</source>
+        <location filename="src/SslCertificate.cpp" line="173"/>
+        <source>Failed to find SSL fingerprint.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
